function wUi() {
    UI.AddColorPicker(["Misc.", "Helpers", "General"], "Watermark color");
}
function GetFps() {
    frametime = Globals.Frametime();
    Fps = Math.round(1 / frametime);
    return Fps;
}
function render() {
    color = UI.GetColor(["Misc.", "Helpers", "General", "Watermark color"]);
    var font = Render.AddFont("Arial.ttf", 13, 800);
    tick = Globals.Tickrate();
    ping = Local.Latency();
    fps = GetFps();
    date = new Date()
    hour = date.getHours();
    mins = date.getMinutes();
    sec = date.getSeconds();
    offsetX = 1603;
    offsetY = 6;
    Render.FilledRect(offsetX + 3, offsetY + 2, 300, 1, color);
    Render.FilledRect(offsetX + 1, offsetY + 3, 304, 1, color);
    Render.FilledRect(offsetX, offsetY + 4, 306, 2, color);
    Render.FilledRect(offsetX, offsetY + 6, 306, 22, [0, 0, 0, 200]);
    Render.String(offsetX + 5, offsetY + 10, 0, "onetap", [255, 255, 255, 255], font);
    Render.Line(offsetX + 50, offsetY + 10, offsetX  + 50, offsetY + 22, [255, 255, 255, 255]);
    Render.String(offsetX + 56, offsetY + 10, 0, fps.toString(), [255, 255, 255, 255], font);
    Render.String(offsetX + 85, offsetY + 10, 0, "fps", [255, 255, 255, 255], font);
    Render.Line(offsetX + 110, offsetY + 10, offsetX  + 110, offsetY + 22, [255, 255, 255, 255]);
    Render.String(offsetX + 118, offsetY + 10, 0, ping.toString(), [255, 255, 255, 255], font);
    Render.String(offsetX + 138, offsetY + 10, 0, "ms", [255, 255, 255, 255], font);
    Render.Line(offsetX + 163, offsetY + 10, offsetX  + 163, offsetY + 22, [255, 255, 255, 255]);
    Render.String(offsetX + 170, offsetY + 10, 0, tick.toString(), [255, 255, 255, 255], font);
    Render.String(offsetX + 195, offsetY + 10, 0, "tick", [255, 255, 255, 255], font);
    Render.Line(offsetX + 222, offsetY + 10, offsetX  + 222, offsetY + 22, [255, 255, 255, 255]);
    Render.String(offsetX + 235, offsetY + 10, 0, (hour < 10 ? "0" + hour.toString() : hour.toString()) + ":" + (mins < 10 ? "0" + mins.toString() : mins.toString()) + ":" + (sec < 10 ? "0" + sec.toString() : sec.toString()), [255, 255, 255, 255], font);
}
Cheat.RegisterCallback("Draw", "render");
wUi();